MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - i -

- I0() : resize.c
- I0A : resize.c
- IdentifyFormat : identify.c
- IdentifyImage() : identify.c , identify.h
- IdentityAffine() : deprecate.c , deprecate.h
- ile3 : vms.h
- Image : magick-type.h
- ImageAnnotateHelp : display.c
- ImageAttribute : deprecate.h
- ImageChopHelp : display.c
- ImageColorEditHelp : display.c
- ImageCompositeHelp : display.c
- ImageCopyHelp : display.c
- ImageCropHelp : display.c
- ImageCutHelp : display.c
- ImageDrawHelp : display.c
- ImageError : exception.h
- ImageFatalError : exception.h
- ImageFilterHandler : module.h
- ImageInfo : magick-type.h
- ImageInfoRegistryType : registry.h
- ImageLayerMethod : layer.h
- ImageListToArray() : list.c , list.h
- ImageMatteEditHelp : display.c
- ImagePanHelp : display.c
- ImagePasteHelp : display.c
- ImagePrimitive : draw.h
- ImageRegistryType : registry.h
- ImageROIHelp : display.c
- ImageRotateHelp : display.c
- ImagesToBlob() : blob.c , blob.h
- ImageToBlob() : blob.c , blob.h
- ImageToFile() : blob.c , blob.h
- ImageToHBITMAP() : nt-feature.h
- ImageTransmitType : image.h
- ImageType : image.h
- ImageWarning : exception.h
- ImplodeCommand : display.c
- ImplodeImage() : fx.c , fx.h
- ImplodeImageTag : fx.c
- ImplodePreview : effect.h
- ImportImagePixels() : pixel.c , pixel.h
- ImportQuantumPixels() : quantum.c , quantum.h
- ImpulseNoise : effect.h
- In() : composite.c
- IN_OZONE : token.c
- IN_QUOTE : token.c
- IN_TOKEN : token.c
- IN_WHITE : token.c
- InactiveWidgetState : widget.c
- InCompositeOp : composite.h
- IncreaseHashmapCapacity() : hashmap.c
- IndexAlphaQuantum : quantum.h
- IndexChannel : magick-type.h
- IndexPacket : pixel.h
- IndexQuantum : quantum.h
- InfoCommand : animate.c , display.c
- InheritException() : exception.c , exception.h
- InitalBounds : distort.c
- InitializeCoderList() : coder.c
- InitializeColorList() : color.c
- InitializeConfigureList() : configure.c
- InitializeDelegateList() : delegate.c
- InitializeHashTable : compress.c
- InitializeHistogram() : segment.c
- InitializeIntervalTree() : segment.c
- InitializeList() : segment.c
- InitializeLocaleList() : locale.c
- InitializeLogList() : log.c
- InitializeMagick() : deprecate.c , deprecate.h
- InitializeMagickList() : magick.c
- InitializeMagickResources() : resource.c , resource_.h
- InitializeMagicList() : magic.c
- InitializeMedianList() : effect.c
- InitializeMimeList() : mime.c
- InitializeModuleList() : module.c
- InitializeQuantumState() : quantum-private.h
- InitializeRandomReservoir() : random.c
- InitializeSemaphore() : semaphore.c , semaphore.h
- InitializeTypeList() : type.c
- InjectImageBlob() : blob.c , blob.h
- InputBit : compress.c
- InsertImageInList() : list.c , list.h
- InsertMedianList() : effect.c
- InsertTagIntoXMLTree() : xml-tree.c , xml-tree.h
- InsertValueInLinkedList() : hashmap.c , hashmap.h
- InsertValueInSortedLinkedList() : hashmap.c , hashmap.h
- instantiate_coder : coder.c
- instantiate_color : color.c
- instantiate_configure : configure.c
- instantiate_delegate : delegate.c
- instantiate_locale : locale.c
- instantiate_log : log.c
- instantiate_magic : magic.c
- instantiate_magick : magick.c
- instantiate_mime : mime.c
- instantiate_module : module.c
- instantiate_type : type.c
- IntegerInterpolatePixel : resample.h
- IntegerPixel : constitute.h
- IntegralRotateImage() : shear.c
- Intensity : deprecate.h
- IntensityCompare() : image.c , xwindow.c
- IntentOptions : option.c
- InterlaceOptions : option.c
- InterlaceType : image.h
- InterpolateOptions : option.c
- InterpolatePixelColor() : deprecate.c , deprecate.h
- InterpolatePixelMethod : resample.h
- InterpolateResampleFilter() : resample.c
- InterpretImageAttributes() : deprecate.c , deprecate.h
- InterpretImageFilename() : image.h , image.c
- InterpretImageProperties() : property.c , property.h
- IntervalTree : segment.c
- InverseAffineMatrix() : draw.c
- InvertAffineCoefficients() : distort.c
- InvertPerspectiveCoefficients() : distort.c
- InvokeDelegate() : delegate.h , delegate.c
- InvokeDynamicImageFilter() : module.c , module.h
- InvokeStaticImageFilter() : static.c , module.h
- IOMode : blob.h
- IsAccessible() : utility.h , utility.c
- IsAssociatedAlpha() : quantize.c
- isatty : nt-base.h
- IsBasenameSeparator : studio.h
- IsBlobExempt() : blob.c , blob.h
- IsBlobSeekable() : blob.c , blob.h
- IsBlobTemporary() : blob.c , blob.h
- IsBoundsCleared() : layer.c
- IsColorEqual() : color-private.h
- IsColorSimilar() : color.h , color.c
- IsDirectory() : utility.c
- IsEventLogging() : log.c , log.h
- IsGeometry() : geometry.c , geometry.h
- IsGlob() : token.c , token.h
- IsGray() : color-private.h
- IsGrayImage() : color.h , color.c
- IsHashmapEmpty() : hashmap.h , hashmap.c
- IsHighDynamicRangeImage() : image.h , image.c
- IsHistogramImage() : color.h , color.c
- IsImageFormatHandler : magick.h
- IsImageObject() : image.h , image.c
- IsImagesEqual() : compare.h , compare.c
- IsImageSimilar() : color.h , color.c
- IsLinkedListEmpty() : hashmap.h , hashmap.c
- IsMagickColorEqual() : color-private.h
- IsMagickColorSimilar() : color.c , color.h
- IsMagickConflict() : magick.c , image.h
- IsMagickGray() : color-private.h
- IsMagickInstantiated() : magick.c , magick.h
- IsMagickOption() : option.c , option.h
- IsMagickTrue() : utility.h , utility.c
- IsMonochromeImage() : color.h , color.c
- IsNexusInCore() : cache.c
- IsOpacitySimilar() : color.c , color.h
- IsOpaqueImage() : color.c , color.h
- IsPaletteImage() : color.h , color.c
- IsPoint() : draw.c , geometry.c
- IsSceneGeometry() : geometry.c , geometry.h
- IsSubimage() : deprecate.c , deprecate.h
- IsTaintImage() : image.h , image.c
- IsWindows95() : nt-base.h
- ItalicStyle : type.h
- IterateOverSplayTree() : splay-tree.c